Skala
Product recipes

Replace a product recipe

Completely replaces the data of an existing product recipe with the provided payload.

PUT
/api/product_recipes/{id}

Completely replaces the data of an existing product recipe with the provided payload.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

ProductRecipe identifier

Request Body

application/json

The updated ProductRecipe resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://api.skalasuite.com/api/product_recipes/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 0,
  "cost": "string",
  "product": {
    "id": 0,
    "name": "string",
    "category": {
      "id": 0,
      "name": "string"
    },
    "unit": {
      "id": 0,
      "name": "string"
    },
    "currency": {
      "id": 0,
      "name": "string",
      "code": "string",
      "symbol": "string"
    },
    "isMaking": true,
    "isBuying": true,
    "unitConversion": 1
  },
  "items": [
    {}
  ],
  "isNeedRecalculate": true
}
Empty
Empty
Empty